Bug 190171 - vino (or vnc?) incompatible with keymaps
vino (or vnc?) incompatible with keymaps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-28 10:22 EDT by Rik van Riel
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2006-04-28 10:22:19 EDT
Description of problem:

I use an xmodmap to remap my keyboard to a dvorak layout with accents, same
xmodmap on both client and server, both FC5.

When I connect from one system to the other, any text that I type gets totally
jumbled up, as if the keymap was "rotated another time".  This makes connecting
to another host over vnc totally useless.

Version-Release number of selected component (if applicable):

vino-2.13.5-2.2 on both client and server

Steps to Reproduce:
1. use an xmodmap to get a dvorak keymap on client and server (azerty might work
too for testing)
2. log into one system from the other using vnc
3. typing gets all jumbled up

Expected results:

When I type a particular letter, it just shows up on the other side.

Additional info:

When I specified a dvorak layout in /etc/X11/xorg.conf things did not get as
jumbled, I only lost about half of the capital letters but all small letters
just worked.  Now that I rely on just the gnome keymap thing for my dvorak
layout things are totally horked.
Comment 1 Bug Zapper 2008-04-03 22:47:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:51:29 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.